Bug 1480002 - Broken navigation tree in the datastore details screen
Summary: Broken navigation tree in the datastore details screen
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: All
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.2
Assignee: Dávid Halász
QA Contact: Dmitry Misharov
URL:
Whiteboard: ui:datastore
Depends On: 1478355
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-09 22:05 UTC by Satoe Imaishi
Modified: 2017-10-24 00:38 UTC (History)
6 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1478355
Environment:
Last Closed: 2017-10-24 00:38:34 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-09 22:13:17 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/d8b3d48054740c2418a2faf4d9ea82164e31761e

commit d8b3d48054740c2418a2faf4d9ea82164e31761e
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Wed Aug 9 15:08:51 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Aug 9 18:08:14 2017 -0400

    Merge pull request #1830 from skateman/fix-datastore-relationload
    
    Reverse-merge tree params if the tree is already in the sandbox
    (cherry picked from commit 0591c6ed187c3b082de29de5a72cff590dac6e6e)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1480002

 app/presenters/tree_state.rb                             | 2 +-
 spec/controllers/application_controller/explorer_spec.rb | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Comment 3 Dmitry Misharov 2017-08-28 08:09:06 UTC
Fixed and verified in 5.8.2.0.20170824192913_b09a5f8. Navigation tree works as expected in the datastores tab.

Comment 5 errata-xmlrpc 2017-10-24 00:38:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.